[pacman-dev] [PATCH 1/3] checkupdates: show error when fakeroot is missing

Evangelos Foutras evangelos at foutrelis.com
Fri Dec 19 18:03:22 UTC 2014


---
 contrib/checkupdates.sh.in | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/contrib/checkupdates.sh.in b/contrib/checkupdates.sh.in
index f4f36c0..a3a308b 100644
--- a/contrib/checkupdates.sh.in
+++ b/contrib/checkupdates.sh.in
@@ -21,6 +21,9 @@
 declare -r myname='checkupdates'
 declare -r myver='@PACKAGE_VERSION@'
 
+m4_include(../scripts/library/output_format.sh)
+m4_include(../scripts/library/term_colors.sh)
+
 if (( $# > 0 )); then
 	echo "${myname} (pacman) v${myver}"
 	echo
@@ -32,6 +35,11 @@ if (( $# > 0 )); then
 	exit 0
 fi
 
+if ! type -P fakeroot >/dev/null; then
+	error 'Cannot find the fakeroot binary.'
+	exit 1
+fi
+
 if [[ -z $CHECKUPDATES_DB ]]; then
 	CHECKUPDATES_DB="${TMPDIR:-/tmp}/checkup-db-${USER}/"
 fi
-- 
2.2.0


More information about the pacman-dev mailing list